Locations - Get Usage
Gets the current usage count and the limit for the resources of the location under the subscription.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.DataLakeStore/locations/{location}/usages?api-version=2016-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
string |
The resource location without whitespace. |
|
subscription
|
path | True |
string |
Gets subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
string |
Client Api Version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK -- current usage count and limit retrieved and returned successfully. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
UsageList
Sample request
GET https://management.azure.com/subscriptions/{subscription-id}/providers/Microsoft.DataLakeStore/locations/WestUS/usages?api-version=2016-11-01
Sample response
{
"value": [
{
"unit": "Count",
"id": "/subscriptions/0f936178-0d48-4777-a7ab-47860b604941/providers/Microsoft.DataLakeStore/locations/WestUS/usages/DataLakeStoreAccounts",
"currentValue": 69,
"limit": -1,
"name": {
"value": "DataLakeStoreAccounts",
"localizedValue": "Data Lake Store Accounts"
}
}
]
}
Definitions
| Name | Description |
|---|---|
| Usage |
Describes the Resource Usage. |
|
Usage |
The response from the List Usages operation. |
|
Usage |
The usage names that can be used. |
|
Usage |
Gets the unit of measurement. |
Usage
Describes the Resource Usage.
| Name | Type | Description |
|---|---|---|
| currentValue |
integer (int32) |
Gets the current count of the allocated resources in the subscription. |
| id |
string |
Resource identifier. |
| limit |
integer (int32) |
Gets the maximum count of the resources that can be allocated in the subscription. |
| name |
Gets the name of the type of usage. |
|
| unit |
Gets the unit of measurement. |
UsageListResult
The response from the List Usages operation.
| Name | Type | Description |
|---|---|---|
| value |
Usage[] |
Gets or sets the list of Storage Resource Usages. |
UsageName
The usage names that can be used.
| Name | Type | Description |
|---|---|---|
| localizedValue |
string |
Gets a localized string describing the resource name. |
| value |
string |
Gets a string describing the resource name. |
UsageUnit
Gets the unit of measurement.
| Value | Description |
|---|---|
| Count | |
| Bytes | |
| Seconds | |
| Percent | |
| CountsPerSecond | |
| BytesPerSecond |